using GreadyPoang.ViewModelLayer;

namespace GreadyPoang.Views;

public partial class ParticipantListView : ContentPage
{
    public ParticipantListView(ParticipantViewModel viewModel)
    {
        InitializeComponent();
        ViewModel = viewModel;
    }

    public ParticipantViewModel ViewModel { get; set; }
    public int ParticipantId { get; set; }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        BindingContext = ViewModel;
        ViewModel.Get();
    }

    protected override void OnDisappearing()
    {
        base.OnDisappearing();
        ViewModel.PopupVisad = false;
    }

}

